# Uses of Interface
org.opensaml.saml.saml2.core.SubjectConfirmationData

Packages that use SubjectConfirmationData
Package
Description
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.ecp
Interfaces for SAML 2 ECP Elements.
org.opensaml.saml.saml2.ecp.impl
Implementations of SAML 2.0 ECP types and elements.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of SubjectConfirmationData in org.opensaml.saml.saml2.assertion.impl

Methods in org.opensaml.saml.saml2.assertion.impl with parameters of type SubjectConfirmationData
Modifier and Type
Method
Description
`protected List<KeyInfo>`
HolderOfKeySubjectConfirmationValidator.`getSubjectConfirmationKeyInformation(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context)`
Extracts the `KeyInfo`s from the given subject confirmation data.
`protected boolean`
HolderOfKeySubjectConfirmationValidator.`isValidConfirmationDataType(SubjectConfirmationData confirmationData)`
Checks to see whether the schema type of the subject confirmation data, if present, is the required `KeyInfoConfirmationDataType.TYPE_NAME`.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateAddress(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `Address` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateInResponseTo(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `InResponseTo` value of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateNotBefore(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `NotBefore` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateNotOnOrAfter(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `NotOnOrAfter` condition of the `SubjectConfirmationData`, if any is present.
`protected ValidationResult`
AbstractSubjectConfirmationValidator.`validateRecipient(SubjectConfirmationData confirmationData, Assertion assertion, ValidationContext context, boolean required)`
Validates the `Recipient` condition of the `SubjectConfirmationData`, if any is present.

## Uses of SubjectConfirmationData in org.opensaml.saml.saml2.core

Subinterfaces of SubjectConfirmationData in org.opensaml.saml.saml2.core
Modifier and Type
Interface
Description
`interface`
`KeyInfoConfirmationDataType`
SAML 2.0 Core KeyInfoConfirmationDataType.
Methods in org.opensaml.saml.saml2.core that return SubjectConfirmationData
Modifier and Type
Method
Description
`SubjectConfirmationData`
SubjectConfirmation.`getSubjectConfirmationData()`
Gets the data about how this subject was confirmed or constraints on the confirmation.
Methods in org.opensaml.saml.saml2.core with parameters of type SubjectConfirmationData
Modifier and Type
Method
Description
`void`
SubjectConfirmation.`setSubjectConfirmationData(SubjectConfirmationData newSubjectConfirmationData)`
Sets the data about how this subject was confirmed or constraints on the confirmation.

## Uses of SubjectConfirmationData in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement SubjectConfirmationData
Modifier and Type
Class
Description
`class`
`KeyInfoConfirmationDataTypeImpl`
Concrete implementation of `KeyInfoConfirmationDataType`.
`class`
`SubjectConfirmationDataImpl`
Concrete implementation of `SubjectConfirmationData`.
Fields in org.opensaml.saml.saml2.core.impl declared as SubjectConfirmationData
Modifier and Type
Field
Description
`private SubjectConfirmationData`
SubjectConfirmationImpl.`subjectConfirmationData`
SubjectConfirmationData of the Confirmation.
Methods in org.opensaml.saml.saml2.core.impl that return SubjectConfirmationData
Modifier and Type
Method
Description
`SubjectConfirmationData`
SubjectConfirmationDataBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`SubjectConfirmationData`
SubjectConfirmationDataBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SubjectConfirmationData`
SubjectConfirmationImpl.`getSubjectConfirmationData()`
Gets the data about how this subject was confirmed or constraints on the confirmation.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type SubjectConfirmationData
Modifier and Type
Method
Description
`void`
SubjectConfirmationImpl.`setSubjectConfirmationData(SubjectConfirmationData newSubjectConfirmationData)`
Sets the data about how this subject was confirmed or constraints on the confirmation.

## Uses of SubjectConfirmationData in org.opensaml.saml.saml2.ecp

Methods in org.opensaml.saml.saml2.ecp that return SubjectConfirmationData
Modifier and Type
Method
Description
`SubjectConfirmationData`
SubjectConfirmation.`getSubjectConfirmationData()`
Gets the data about how this subject was confirmed or constraints on the confirmation.
Methods in org.opensaml.saml.saml2.ecp with parameters of type SubjectConfirmationData
Modifier and Type
Method
Description
`void`
SubjectConfirmation.`setSubjectConfirmationData(SubjectConfirmationData newSubjectConfirmationData)`
Sets the data about how this subject was confirmed or constraints on the confirmation.

## Uses of SubjectConfirmationData in org.opensaml.saml.saml2.ecp.impl

Fields in org.opensaml.saml.saml2.ecp.impl declared as SubjectConfirmationData
Modifier and Type
Field
Description
`private SubjectConfirmationData`
SubjectConfirmationImpl.`subjectConfirmationData`
SubjectConfirmationData of the Confirmation.
Methods in org.opensaml.saml.saml2.ecp.impl that return SubjectConfirmationData
Modifier and Type
Method
Description
`SubjectConfirmationData`
SubjectConfirmationImpl.`getSubjectConfirmationData()`
Gets the data about how this subject was confirmed or constraints on the confirmation.
Methods in org.opensaml.saml.saml2.ecp.impl with parameters of type SubjectConfirmationData
Modifier and Type
Method
Description
`void`
SubjectConfirmationImpl.`setSubjectConfirmationData(SubjectConfirmationData newSubjectConfirmationData)`
Sets the data about how this subject was confirmed or constraints on the confirmation.

## Uses of SubjectConfirmationData in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type SubjectConfirmationData
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<SubjectConfirmationData>`
AddSubjectConfirmationToSubjects.`confirmationDataBuilder`
Builder for SubjectConfirmation objects.